Package org.apache.solr.client.solrj.io.stream

## Class TsvStream

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.TupleStream
  - - org.apache.solr.client.solrj.io.stream.CsvStream
    - - org.apache.solr.client.solrj.io.stream.TsvStream

All Implemented Interfaces:
  `Closeable`, `Serializable`, `AutoCloseable`, `Expressible`, `MapSerializable`, `MapWriter`, `NavigableObject`

    public class TsvStream
    extends CsvStream
    implements Expressible

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.io.stream.TupleStream

`TupleStream.IgnoreException`

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.io.stream.CsvStream

`originalStream`

### Constructor Summary

Constructors
`TsvStream​(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String[]` `split​(String line)`
`Explanation` `toExplanation​(StreamFactory factory)` Returns an explanation about the stream object
`StreamExpression` `toExpression​(StreamFactory factory)`

### Methods inherited from class org.apache.solr.client.solrj.io.stream.CsvStream

`children, close, getCost, getStreamSort, open, read, setStreamContext`

### Methods inherited from class org.apache.solr.client.solrj.io.stream.TupleStream

`getShards, getShards, getStreamNodeId, writeMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Constructor Detail

#### TsvStream

    public TsvStream​(StreamExpression expression,
                     StreamFactory factory)
              throws IOException

Throws:
  `IOException`

### Method Detail

#### toExpression

    public StreamExpression toExpression​(StreamFactory factory)
                                  throws IOException

Specified by:
  `toExpression` in interface `Expressible`
Overrides:
  `toExpression` in class `CsvStream`
Throws:
  `IOException`

#### toExplanation

    public Explanation toExplanation​(StreamFactory factory)
                              throws IOException

Description copied from interface: `Expressible`
Returns an explanation about the stream object

Specified by:
  `toExplanation` in interface `Expressible`
Overrides:
  `toExplanation` in class `CsvStream`
Parameters:
  `factory` - Stream factory for this, contains information about the function name
Returns:
  Explanation about this stream object containing explanations of any child stream objects
Throws:
  `IOException` - throw on any error

#### split

    protected String[] split​(String line)

Overrides:
  `split` in class `CsvStream`